## ipcalc-ng 1.0.1

=== Makefile ===
USE_GEOIP?=no
USE_MAXMIND?=yes
USE_RUNTIME_LINKING?=yes

LIBPATH?=/usr/lib64
#LIBPATH=/usr/lib/x86_64-linux-gnu

LIBS?=
VERSION=$(shell cat meson.build|grep 'version :'|cut -d ':' -f 2|tr -d " \'")
CC?=gcc
CFLAGS?=-O2 -g -Wall
LDFLAGS=$(LIBS)

ifeq ($(USE_GEOIP),yes)
ifeq ($(USE_RUNTIME_LINKING),yes)
LDFLAGS+=-ldl
CFLAGS+=-DUSE_GEOIP -DUSE_RUNTIME_LINKING -DLIBPATH="\"$(LIBPATH)\""
else
LDFLAGS+=-lGeoIP
CFLAGS+=-DUSE_GEOIP
endif # DYN GEOIP
else  # GEOIP
ifeq ($(USE_MAXMIND),yes)
ifeq ($(USE_RUNTIME_LINKING),yes)
LDFLAGS+=-ldl
CFLAGS+=-DUSE_MAXMIND -DUSE_RUNTIME_LINKING -DLIBPATH="\"$(LIBPATH)\""
else
LDFLAGS+=-lmaxminddb
CFLAGS+=-DUSE_MAXMIND
endif # DYN MAXMIND
endif # MAXMIND
endif # not GEOIP

all: ipcalc

ipcalc: ipcalc.c ipv6.c deaggregate.c ipcalc-geoip.c ipcalc-maxmind.c ipcalc-reverse.c ipcalc-utils.c netsplit.c
	$(CC) $(CFLAGS) -DVERSION="\"$(VERSION)\"" $^ -o $@ $(LDFLAGS)

clean:
	rm -f ipcalc

## ipcalc-ng 0.4.1

=== debian/changelog ===
ipcalc-ng (0.4.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: updated the long description.
  * debian/copyright: added GPL-2 license paragraph, keeping both, GPL-2 and
    GPL-2+, separated.
  * debian/patches/030_disable-few-tests.patch: fixed a spelling error on
    long Description in the patch header.
  * debian/tests/:
      - control: Separated json test to add dependency of jq package.
      - json: Changed tests validating the output json with jq.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Tue, 21 Jul 2020 13:19:40 -0300

ipcalc-ng (0.4.1-1) experimental; urgency=medium

  * Initial release. (Closes: #892752)

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Thu, 18 Jun 2020 14:24:50 -0300

=== debian/control ===
Source: ipcalc-ng
Section: net
Priority: optional
Maintainer: Fabio Augusto De Muzio Tobich <ftobich@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libgeoip-dev,
               meson,
               ninja-build,
               pkg-config
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ipcalc/ipcalc
Vcs-Browser: https://salsa.debian.org/debian/ipcalc-ng
Vcs-Git: https://salsa.debian.org/debian/ipcalc-ng.git

Package: ipcalc-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: geoip-database
Description: parameter calculator for IPv4 and IPv6 addresses
 This is a modern console tool to assist in network address calculations for
 IPv4 and IPv6.
 .
 It acts as a tool to output human readable information about a network or
 address, as well as a tool suitable to be used by scripts or other programs.
 .
 It's also a great tool for teach about network address calculations, as well
 as learn about it.
 .
 It supports printing a summary about the provided network address, multiple
 command line options per information to be printed, transparent IPv6 support,
 and in addition it will use libGeoIP, if available, to provide geographic
 information.

## ipcalc-ng 1.0.0

=== debian/changelog ===
ipcalc-ng (1.0.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Mon, 21 Dec 2020 15:16:04 -0300

ipcalc-ng (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Added ronn in Build-Depends field to build manpages from markdown,
        upstream writes manpage in markdown now.
      - Bumped Standards-Version to 4.5.1.
  * debian/manpage/ipcalc-ng.1: created to provide a manpage since Debian's
    ruby-ronn broke upstream manpage.
  * debian/manpages: created to install the manpage.
  * debian/patches/:
      - 010_new-name-adjustments.patch: updated.
      - 020_disable-few-tests.patch: renamed from 030 to 020 and updated.
      - 020_fix-random-private-description.patch: removed, fixed upstream.
  * debian/rules: override_dh_installman was updated to remove the upstream
    manpage and install the one we provided.
  * debian/source/lintian-overrides: created to explain why upstream manpage
    was replaced.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Mon, 14 Dec 2020 12:45:08 -0300

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BINDEST=debian/ipcalc-ng/usr/bin
MANDEST=debian/ipcalc-ng/usr/share/man/man1

%:
	dh $@ --buildsystem=meson

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installman:
	dh_installman
# Replacing upstream manpage because ruby-ronn bug
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=964322
	rm -f $(MANDEST)/ipcalc.1
#	mv $(MANDEST)/ipcalc.1 $(MANDEST)/ipcalc-ng.1

override_dh_auto_install:
	dh_auto_install
	mv $(BINDEST)/ipcalc $(BINDEST)/ipcalc-ng

## ipcalc-ng 1.0.1

=== debian/changelog ===
ipcalc-ng (1.0.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/upstream/metadata: fixed Repository-Browse field.

  [ Fabio Augusto De Muzio Tobich ]
  * debian/copyright: updated year in packaging block.
  * debian/salsa-ci.yml: use Debian recipe for salsa CI.
  * debian/upstream/metadata: removed unknown Homepage field.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 11 Apr 2022 11:27:38 -0300

ipcalc-ng (1.0.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 16 Aug 2021 09:15:09 -0300

ipcalc-ng (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: changed my email in Maintainer field.
  * debian/copyright:
      - Changed my email in packaging block.
      - Updated some years.
  * debian/manpage/ipcalc-ng.1: fixed groff sequences which should generate
    apostrophes but it was generating acute accents in the manpage instead.
  * debian/patches/010_new-name-adjustments.patch: refreshed.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 08 Jun 2021 13:29:04 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ipcalc-ng
 Section: net
 Priority: optional
-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@gmail.com>
+Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgeoip-dev,
                meson,
                ninja-build,
-               pkg-config
-Standards-Version: 4.5.0
+               pkg-config,
+               ronn
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ipcalc/ipcalc
 Vcs-Browser: https://salsa.debian.org/debian/ipcalc-ng

## ipcalc-ng 1.0.2

=== meson_options.txt ===
option('use_geoip',
	type : 'feature',
	value : 'auto',
	description : 'Use the GeoIP library to retrieve geo-information'
)
option('use_maxminddb',
	type : 'feature',
	value : 'auto',
	description : 'Use the maxminddb library to retrieve geo-information'
)
option('use_runtime_linking',
	type : 'feature',
	value : 'auto',
	description : 'Load the GeoIP or maxminddb library at runtime if available'
)

=== debian/changelog ===
ipcalc-ng (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Not providing a manpage anymore since manpage generation is fixed.
    Consequently:
      - debian/manpage/ipcalc-ng.1: removed.
      - debian/manpages: removed.
      - debian/rules: override_dh_installman updated.
      - debian/source/lintian-overrides: removed.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/patches/:
      - 010_new-name-adjustments.patch: updated.
      - 020_disable-few-tests.patch: refreshed.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 27 Nov 2022 12:00:11 -0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                ninja-build,
                pkg-config,
                ronn
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ipcalc/ipcalc
 Vcs-Browser: https://salsa.debian.org/debian/ipcalc-ng

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,7 @@
 
 override_dh_installman:
 	dh_installman
-# Replacing upstream manpage because ruby-ronn bug
-# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=964322
-	rm -f $(MANDEST)/ipcalc.1
-#	mv $(MANDEST)/ipcalc.1 $(MANDEST)/ipcalc-ng.1
+	mv $(MANDEST)/ipcalc.1 $(MANDEST)/ipcalc-ng.1
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/ipcalc.*\.tar\.gz/ipcalc-$1\.tar\.gz/g \
  https://gitlab.com/ipcalc/ipcalc/-/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## ipcalc-ng 1.0.3

=== debian/changelog ===
ipcalc-ng (1.0.3-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.0.
      - Replaced obsolete pkg-config package with pkgconf in Build-Depends
        field.
  * debian/copyright: updated year in packaging block.
  * debian/watch: updated to fix an error that prevented checking for new
    upstream versions.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 13 May 2024 09:44:56 -0300

ipcalc-ng (1.0.3-1) unstable; urgency=medium

  * New upstream release. (LP: #1983602)
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated year in packaging block.
  * debian/patches/:
      - All patches refreshed.
      - Patches metadata updated the Author and Last-Update fields.
      - Patches not forwarded upstream because it's not upstream issues, but
        packaging issues.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 12 Jun 2023 08:48:40 -0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
                libgeoip-dev,
                meson,
                ninja-build,
-               pkg-config,
+               pkgconf,
                ronn
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ipcalc/ipcalc
 Vcs-Browser: https://salsa.debian.org/debian/ipcalc-ng

=== debian/tests/control ===
Test-Command: ipcalc-ng -v
Restrictions: superficial

Test-Command: ipcalc-ng --help 2>&1 | grep '^Usage:'
Restrictions: superficial

Tests: check, deagrregate, geo, info, net, random, reversedns, split
Depends: @, geoip-database, libgeoip1

Tests: json
Depends: @, geoip-database, libgeoip1, jq

Tests: resolv
Depends: @, geoip-database, libgeoip1
Restrictions: flaky

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/.*\/archive\/(\d\S+)\/ipcalc.*\.tar\.gz/ipcalc-$1\.tar\.gz/g \
  https://gitlab.com/ipcalc/ipcalc/tags?sort=updated_desc -/archive/v?\d[\d.]+/ipcalc-@ANY_VERSION@\.tar\.gz
